Page MenuHomePhabricator

Persian Wikibooks lacks some namespaces
Closed, ResolvedPublic

Description

Even though Persian wikibooks already has some of name spaces but it lacks many usable ones. Name spaces of "Wikijunior", "Cookbook", "Subject" and their related "talk" pages. Persian equivalents can be "ویکی‌کودک" and "کتاب آشپزی" and "موضوع" for "Wikijunior", "Cookbook", "Subject" name spaces, respectively.

URL: fa:b:ویکی‌کتاب:میز تحریر#اضافه نمودن فضای نام موضوع (Subject)

Event Timeline

Doostdar created this task.Dec 3 2014, 8:53 PM
Doostdar claimed this task.
Doostdar raised the priority of this task from to High.
Doostdar updated the task description. (Show Details)
Doostdar changed Security from none to None.
Doostdar added a subscriber: Doostdar.
Doostdar removed Doostdar as the assignee of this task.Dec 3 2014, 8:55 PM

Name spaces need to be corrected in this project.

Aklapper lowered the priority of this task from High to Normal.Dec 3 2014, 11:25 PM

Hi @Doostdar. has this been discussed with the local community? Please paste the link to the discussion here. Thanks!

7517729 added a subscriber: 7517729.Dec 4 2014, 8:04 AM
  • ُSupport , we need (Subject) NameSpace , thanks ~~~~
  • ُSupport , we need (Subject) NameSpace , thanks ~~~~

Hello,

Thank you for your feedback.

Could you create a section to get support directly on your wiki, for example on the village pump? It would be easier to allow wiki contributors to voice opinions there than here.

Thnaks , created now and report in 6 days , thanks

Aklapper changed the task status from Open to Stalled.Dec 4 2014, 11:44 AM

7517729: could you please also paste the link here to the section on your wiki where this request is discussed?

For more information about how to request these kinds of changes in the future, please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes and feel free to forward that link to others who may want similar changes made in the future. Thanks!

Bump. Could you please provide a link to the community discussion if there has been one?

Glaisher lowered the priority of this task from Normal to Low.Jan 22 2015, 3:26 PM
gerritbot added a subscriber: gerritbot.

Change 186317 had a related patch set uploaded (by Mjbmr):
Add extra namespaces for fawikibooks bug T76663

https://gerrit.wikimedia.org/r/186317

Patch-For-Review

Mjbmr added subscribers: Reedy, Mjbmr.EditedJan 23 2015, 10:54 AM

I made the patch, but it also needs to run namespaceDupes after merge.

--- a/wmf-config/InitialiseSettings.php
+++ b/wmf-config/InitialiseSettings.php
@@ -2820,6 +2820,10 @@ $wgConf->settings = array(
        ),
        '+fawikibooks' => array(
                'وک' => NS_PROJECT,
+               'کتاب_آشپزی' => 102,
+               'بحث_کتاب_آشپزی' => 103,
+               'ویکی_کودک' => 110,
+               'بحث_ویکی_کودک' => 111,
        ),
        '+fawikinews' => array(
                'وخ' => NS_PROJECT,
@@ -5682,6 +5686,14 @@ $wgConf->settings = array(
                //103 => 'Wikiversidad_Discusión',
        ),
        */
+       'fawikibooks' => array(
+               102 => 'کتاب<U+200C>آشپزی',
+               103 => 'بحث_کتاب<U+200C>آشپزی',
+               110 => 'ویکی<U+200C>کودک',
+               111 => 'بحث_ویکی<U+200C>کودک',
+               112 => 'موضوع',
+               113 => 'بحث_موضوع',
+       ),
        'frwikibooks' => array(
                100 => 'Transwiki',
                101 => 'Discussion_Transwiki',
Mjbmr closed this task as Resolved.Jan 24 2015, 12:54 AM
Mjbmr claimed this task.

Patch was merged by @Reedy, shoutout to him for his service. Thank you.

Mjbmr moved this task from Backlog to Done on the Wikimedia-Site-requests board.May 4 2015, 2:07 PM
Mjbmr reopened this task as Open.Sep 9 2015, 2:44 PM

Wikijunior and Cookbook namespaces must be added to wgContentNamespaces as well.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 9 2015, 2:44 PM

Change 237104 had a related patch set uploaded (by Mjbmr):
Add Wikijunior and Cookbook namespaces to wgContentNamespaces for fawikibooks

https://gerrit.wikimedia.org/r/237104

Change 237104 merged by jenkins-bot:
Add Wikijunior and Cookbook namespaces to wgContentNamespaces for fawikibooks

https://gerrit.wikimedia.org/r/237104

Mjbmr closed this task as Resolved.Sep 9 2015, 3:57 PM